This endpoint is still on our legacy API.
Get all messages.
Rate limit: 100 requests/min (learn more about rate limits here).
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
To use this endpoint, select Read Messages under the Driver Workflow category when creating or editing an API token. Learn More.
curl --request GET \
--url https://api.samsara.com/v1/fleet/messages \
--header 'Authorization: Bearer <token>'{
"data": [
{
"driverId": 555,
"isRead": true,
"sender": {
"name": "John Doe",
"type": "dispatch"
},
"sentAtMs": 1462881998034,
"text": "This is a message."
}
]
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Time in unix milliseconds that represents the end of time range of messages to return. Used in combination with durationMs. Defaults to now.
Time in milliseconds that represents the duration before endMs to query. Defaults to 24 hours.
Returns the fetched messages from most recently sent to least recently sent.
A list of messages.
Show child attributes
curl --request GET \
--url https://api.samsara.com/v1/fleet/messages \
--header 'Authorization: Bearer <token>'{
"data": [
{
"driverId": 555,
"isRead": true,
"sender": {
"name": "John Doe",
"type": "dispatch"
},
"sentAtMs": 1462881998034,
"text": "This is a message."
}
]
}